﻿@model Bll.Models.UserWithSummary
@using Pl.Helper.HtmlExtensions
@using Bll.Extensions;
@{
    ViewBag.Title = "Summary Details";
}

<section class="rounded-2 shadow bg-light-lavender mb-4 w-100 h-fit-cont">
    <div class="container py-3">
        <div class="row">
            <div class="col-lg-4">
                <div class="card mb-4">
                    <div class="card-body text-center">
                        <div class="profile-image">
                            @if (!string.IsNullOrWhiteSpace(Model.UserModel.ProfileImage))
                            {
                                @Html.ConvertBase64ToImage(Model.UserModel.ProfileImage)
                            }
                            else
                            {
                                <img src="~/Content/Images/NoProfilePhoto.png" class="profile-image">
                            }
                        </div>
                        <h5 class="my-3">@Model.UserModel.Name @Model.UserModel.Surname</h5>
                        <p class="text-muted mb-1">@Model.SummaryModel.Position</p>
                        <p class="text-muted mb-4">@Model.SummaryModel.CreationDate.ToString("dddd, dd MMMM yyyy")</p>
                        @if (User.Identity.GetUserId() == Model.UserModel.Id)
                        {
                            @Html.ActionLink("Edit", "EditSummary", "Summary", new { Model.SummaryModel.Id }, new { @class = "btn btn-outline-primary" })
                        }
                        else if (User.IsInRole("Employer"))
                        {
                            if (Model.SummaryModel.EmployersId.Contains(User.Identity.GetUserId()))
                            {
                                @Html.ActionLink("Remove From Favorites", "RemoveFromFavorites", "Summary", new { Model.SummaryModel.Id }, new { @class = "btn btn-outline-primary" })
                            }
                            else
                            {
                                @Html.ActionLink("Add To Favorites", "AddToFavorites", "Summary", new { Model.SummaryModel.Id }, new { @class = "btn btn-outline-primary" })
                            }
                        }
                        @Html.ActionLink("Save PDF", "PrintSummaryToPdf", "Summary", new { Model.SummaryModel.Id }, new { @class = "btn btn-outline-primary" })
                    </div>
                </div>
                <div class="card mb-4 mb-lg-0">
                    <div class="card-body p-1">
                        <h5 class="card-title text-center">Description</h5>
                        <p class="card-text">
                            @Html.SeparateString(Model.SummaryModel.Description)
                        </p>
                    </div>
                </div>
            </div>

            <div class="col-lg-8">
                <div class="card mb-4">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-3">
                                <p class="mb-0">Full Name</p>
                            </div>
                            <div class="col-sm-9">
                                <p class="text-muted mb-0">@Model.UserModel.Name @Model.UserModel.Surname @Model.UserModel.Patronymic</p>
                            </div>
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-sm-3">
                                <p class="mb-0">Email</p>
                            </div>
                            <div class="col-sm-9">
                                <p class="text-muted mb-0">@Model.UserModel.Email</p>
                            </div>
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-sm-3">
                                <p class="mb-0">Phone</p>
                            </div>
                            <div class="col-sm-9">
                                <p class="text-muted mb-0">@Model.UserModel.PhoneNumber</p>
                            </div>
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-sm-3">
                                <p class="mb-0">Age</p>
                            </div>
                            <div class="col-sm-9">
                                <p class="text-muted mb-0">@Model.UserModel.Age</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="card mb-4 mb-md-0">
                            @{Html.RenderPartial("EducationsListPartial", Model.SummaryModel.Educations);}
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="card mb-4 mb-md-0">
                            @{Html.RenderPartial("WorkExperiencesListPartial", Model.SummaryModel.WorkExperiences);}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

